summaryrefslogtreecommitdiffstats
path: root/extra
diff options
context:
space:
mode:
Diffstat (limited to 'extra')
-rwxr-xr-xextra/source/xv/xv.SlackBuild3
-rw-r--r--extra/source/xv/xv.no.jasper.diff22
2 files changed, 24 insertions, 1 deletions
diff --git a/extra/source/xv/xv.SlackBuild b/extra/source/xv/xv.SlackBuild
index 526cf1104..e04359eda 100755
--- a/extra/source/xv/xv.SlackBuild
+++ b/extra/source/xv/xv.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xv
VERSION=3.10a
-BUILD=${BUILD:-9}
+BUILD=${BUILD:-10}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -65,6 +65,7 @@ if [ "$ARCH" = "x86_64" ]; then
fi
zcat $CWD/xv.jasper.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
zcat $CWD/xv-libpng-1.5.patch.gz | patch -p0 --verbose --backup --suffix=.orig || exit 1
+zcat $CWD/xv.no.jasper.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
make -f Makefile.std || exit 1
strip --strip-unneeded bggen vdcomp xcmap xv xvpictoppm
mkdir -p $PKG/usr/bin
diff --git a/extra/source/xv/xv.no.jasper.diff b/extra/source/xv/xv.no.jasper.diff
new file mode 100644
index 000000000..ca69da3ca
--- /dev/null
+++ b/extra/source/xv/xv.no.jasper.diff
@@ -0,0 +1,22 @@
+--- ./Makefile.std.orig 2022-02-24 14:03:06.099774095 -0600
++++ ./Makefile.std 2022-02-24 14:04:14.407770317 -0600
+@@ -176,15 +176,15 @@
+ ### if, for whatever reason, you're unable to get the JasPer JPEG-2000 library
+ ### to compile on your machine, *COMMENT OUT* the following lines
+ ###
+-JP2K = -DDOJP2K
++#JP2K = -DDOJP2K
+ ###
+ #JP2KDIR = ../../jasper
+-JP2KDIR = /usr
++#JP2KDIR = /usr
+ ###
+ #JP2KINC = -I$(JP2KDIR)
+-JP2KINC = -I/usr/include
++#JP2KINC = -I/usr/include
+ ###
+-JP2KLIB = -L$(JP2KDIR) -ljasper
++#JP2KLIB = -L$(JP2KDIR) -ljasper
+ #JP2KLIB = $(JP2KDIR)/libjasper.a
+
+